[arch-commits] Commit in xine-lib/repos (3 files)

Pierre Schmitz pierre at archlinux.org
Thu Aug 28 08:26:47 EDT 2008


    Date: Thursday, August 28, 2008 @ 08:26:47
  Author: pierre
Revision: 10374

Merged revisions 8657-10373 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/xine-lib/trunk

........
  r10373 | pierre | 2008-08-28 12:26:19 +0000 (Do, 28 Aug 2008) | 2 lines
  
  upgpkg: xine-lib 1.1.15-2
      fixing FS#11300
........

Added:
  xine-lib/repos/extra-x86_64/xine-header.patch
    (from rev 10373, xine-lib/trunk/xine-header.patch)
Modified:
  xine-lib/repos/extra-x86_64/	(properties)
  xine-lib/repos/extra-x86_64/PKGBUILD

-------------------+
 PKGBUILD          |   10 +++++-----
 xine-header.patch |   11 +++++++++++
 2 files changed, 16 insertions(+), 5 deletions(-)


Property changes on: xine-lib/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /xine-lib/trunk:1-8656
   + /xine-lib/trunk:1-10373

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-08-28 12:26:19 UTC (rev 10373)
+++ extra-x86_64/PKGBUILD	2008-08-28 12:26:47 UTC (rev 10374)
@@ -4,7 +4,7 @@
 
 pkgname=xine-lib
 pkgver=1.1.15
-pkgrel=1
+pkgrel=2
 pkgdesc="A free video player for Unix"
 arch=('i686' 'x86_64')
 url="http://xinehq.de/"
@@ -15,14 +15,14 @@
              'smbclient' 'mesa' 'alsa-lib' 'vcdimager')
 options=('!libtool')
 source=(http://downloads.sourceforge.net/sourceforge/xine/${pkgname}-${pkgver}.tar.bz2
-        xine-lib-1.1.1-configure-no-mcpu-march.patch)
-md5sums=('42a2b4893b7f892eb334de2fc36d49c8' '9776df4eb54d2f1f68d8268adbc3b5c2')
-sha1sums=('bcb567ea2a11c5f26b2384d5400b8466ea9048c6'
-          '121a8358d7919b2e51067412373f52848290338a')
+        xine-lib-1.1.1-configure-no-mcpu-march.patch xine-header.patch)
+md5sums=('42a2b4893b7f892eb334de2fc36d49c8' '9776df4eb54d2f1f68d8268adbc3b5c2'
+         'b139ee72700f8d118f9051e9140473f5')
 
 build() {
   cd ${srcdir}/${pkgname}-${pkgver}
   patch -Np0 -i ../xine-lib-1.1.1-configure-no-mcpu-march.patch || return 1
+  patch -p0 -i ../xine-header.patch || return 1
   libtoolize --force --copy || return 1
   aclocal -I m4 || return 1
   autoconf || return 1

Copied: xine-lib/repos/extra-x86_64/xine-header.patch (from rev 10373, xine-lib/trunk/xine-header.patch)
===================================================================
--- extra-x86_64/xine-header.patch	                        (rev 0)
+++ extra-x86_64/xine-header.patch	2008-08-28 12:26:47 UTC (rev 10374)
@@ -0,0 +1,11 @@
+--- src/xine-engine/buffer.h	2008-07-16 23:01:56.000000000 +0200
++++ src/xine-engine/buffer.h	2008-08-24 21:14:39.000000000 +0200
+@@ -676,7 +676,7 @@
+ /* convert xine_waveformatex struct from little endian */
+ void _x_waveformatex_le2me( xine_waveformatex *wavex ) XINE_PROTECTED;
+ 
+-static inline _x_is_fourcc(void *ptr, void *tag) {
++static __inline _x_is_fourcc(void *ptr, void *tag) {
+   return memcmp(ptr, tag, 4) == 0;
+ }
+ 




More information about the arch-commits mailing list